aboutsummaryrefslogtreecommitdiffstats
path: root/tests/ci/yardstick-verify
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ci/yardstick-verify')
-rwxr-xr-xtests/ci/yardstick-verify16
1 files changed, 15 insertions, 1 deletions
diff --git a/tests/ci/yardstick-verify b/tests/ci/yardstick-verify
index bdb91003d..7345e0e5b 100755
--- a/tests/ci/yardstick-verify
+++ b/tests/ci/yardstick-verify
@@ -133,8 +133,21 @@ install_storperf()
exit 1
fi
+ fi
+}
+
+remove_storperf()
+{
+ # remove Storper from huawei-pod1
+ if [ "$NODE_NAME" == "huawei-pod1" ]; then
echo
- echo "========== Installed storperf container =========="
+ echo "========== Removing storperf =========="
+
+ if ! yardstick -d plugin remove plugin/CI/storperf.yaml; then
+ echo "Remove storperf plugin FAILED";
+ exit 1
+ fi
+
fi
}
@@ -422,6 +435,7 @@ main()
install_storperf
run_test
+ remove_storperf
}
main